import { Icon } from '@iconify/react/dist/iconify.js';
import { FC } from 'react';
import EditableContent from '../../components/EditableContent';
import styles from './PatternHeader.module.css';

const PatternHeader: FC = () => {
  return (
    <div className={styles.pattern_header}>
      <EditableContent as="h3" placeholder="Unnamed Pattern" additionalClassName={styles.content} />
      <div className="spacer" />
      <button className="tonal">
        <Icon icon="material-symbols-light:close" />
        Close Edit
      </button>
    </div>
  );
};

export default PatternHeader;
